//*****************************************************************************
//      Header file for:
//		window to change the interpolation settings
//
//      Written by Stuart Prescott:
//              Written:                24/10/1996
//              Last Modified:          27/10/1996
//
//      Libraries Required:
//              libsx (Dominic Giamapolo - Athena Widget Set)
//
//      Other Object Classes used:
//              win (base class)
//              main program data structure
//
//*****************************************************************************
#ifndef INTERPWIN_SETTING_H
#define INTERPWIN_SETTING_H 1

#include "win.h"
#include "main.h"

class  IntWin: public Win
{
    public:
        Widget button[4];
        Widget label;

        IntWin(MyProgram *data);
        ~IntWin();

};    //IntWin

void IntWinCancel_Button(Widget w, void *data);
void IntWinSelect1      (Widget w, void *data);
void IntWinSelect2      (Widget w, void *data);
void IntWinSelect3      (Widget w, void *data);

#endif
