//*****************************************************************************
//      Header file for:
//		Orbital Description class
//
//      Written by Stuart Prescott:
//              Written:                20/09/1996
//              Last Modified:          27/10/1996
//
//*****************************************************************************

#ifndef ORBITAL_DESCRIPT_H
#define ORBITAL_DESCRIPT_H

class OrbitalDescriptor
{
    public:
        int n, l, m;
        char str[16];
        //char * str;

        OrbitalDescriptor ()
            {n=-1; l=-1; m=-1;}
        OrbitalDescriptor (int a, int b, int c, char* T)
            {n=a; l=b; m=c;
             //str=T;}
             char* s=str;
             while ((*s++=*T++));}
        OrbitalDescriptor(const OrbitalDescriptor& id)
            {n=id.n; l=id.l; m=id.m;
             //str=id.str;}
            char* s1=str;
            char* s2=(char *)id.str;
            while ((*s1++=*s2++));}
        OrbitalDescriptor& operator= (OrbitalDescriptor id)
            {n=id.n; l=id.l; m=id.m;
             //str=id.str;}
            char* s1=str;
            char* s2=(char *)id.str;
            while ((*s1++=*s2++));
            return (*this);}
};

#endif
